From bb1ff9aa0a6c7c54b133f0799f687fbab58f6a11 Mon Sep 17 00:00:00 2001
From: Ludovic Courtès <ludo@gnu.org>
Date: Wed, 2 Jan 2013 12:42:54 +0100
Subject: release.nix: Update to new bootstrap Guile tarball.

* release.nix (bootstrap_guile): Update URLs and SHA256.
  (build)[preBuild]: Adjust tarball name.
---
 release.nix | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/release.nix b/release.nix
index b83de6c2a5..97eba8b403 100644
--- a/release.nix
+++ b/release.nix
@@ -32,13 +32,13 @@ let
   bootstrap_guile =
     let pkgs = import nixpkgs {}; in {
       i686 = pkgs.fetchurl {
-        url = http://www.fdn.fr/~lcourtes/software/guix/packages/i686-linux/guile-bootstrap-2.0.6.tar.xz;
-        sha256 = "93b537766dfab3ad287143523751e3ec02dd32d3ccaf88ad2d31c63158f342ee";
+        url = http://www.fdn.fr/~lcourtes/software/guix/packages/i686-linux/20121219/guile-2.0.7.tar.xz;
+        sha256 = "45d1f9bfb9e4531a8f1c5a105f7ab094cd481b8a179ccc63cbabb73ce6b8437f";
       };
 
       x86_64 = pkgs.fetchurl {
-        url = http://www.fdn.fr/~lcourtes/software/guix/packages/x86_64-linux/guile-bootstrap-2.0.6.tar.xz;
-        sha256 = "0467a82cbe4136f60a79eb4176011</td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>refs</a><a href='/guix/log/gnu/packages/patches/breezy-fix-gio.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/breezy-fix-gio.patch?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>tree</a><a href='/guix/commit/gnu/packages/patches/breezy-fix-gio.patch?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>commit</a><a href='/guix/diff/gnu/packages/patches/breezy-fix-gio.patch?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/breezy-fix-gio.patch'>
<input type='hidden' name='id' value='1e6ddceb8318d413745ca1c9d91fde01b1e0364b'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>root</a>/<a href='/guix/tree/gnu?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>gnu</a>/<a href='/guix/tree/gnu/packages?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>patches</a>/<a href='/guix/tree/gnu/packages/patches/breezy-fix-gio.patch?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>breezy-fix-gio.patch</a></div><div class='content'>blob: f70e761555f0bed567a57ff05acda2666bc88ee8 (<a href='/guix/about/gnu/packages/patches/breezy-fix-gio.patch?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>about</a>) (<a href='/guix/plain/gnu/packages/patches/breezy-fix-gio.patch?id=1e6ddceb8318d413745ca1c9d91fde01b1e0364b'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
<a id='n199' href='#n199'>199</a>
<a id='n200' href='#n200'>200</a>
<a id='n201' href='#n201'>201</a>
<a id='n202' href='#n202'>202</a>
<a id='n203' href='#n203'>203</a>
<a id='n204' href='#n204'>204</a>
<a id='n205' href='#n205'>205</a>
<a id='n206' href='#n206'>206</a>
<a id='n207' href='#n207'>207</a>
<a id='n208' href='#n208'>208</a>
<a id='n209' href='#n209'>209</a>
<a id='n210' href='#n210'>210</a>
<a id='n211' href='#n211'>211</a>
<a id='n212' href='#n212'>212</a>
<a id='n213' href='#n213'>213</a>
<a id='n214' href='#n214'>214</a>
<a id='n215' href='#n215'>215</a>
<a id='n216' href='#n216'>216</a>
<a id='n217' href='#n217'>217</a>
<a id='n218' href='#n218'>218</a>
<a id='n219' href='#n219'>219</a>
<a id='n220' href='#n220'>220</a>
<a id='n221' href='#n221'>221</a>
<a id='n222' href='#n222'>222</a>
<a id='n223' href='#n223'>223</a>
<a id='n224' href='#n224'>224</a>
<a id='n225' href='#n225'>225</a>
<a id='n226' href='#n226'>226</a>
<a id='n227' href='#n227'>227</a>
<a id='n228' href='#n228'>228</a>
<a id='n229' href='#n229'>229</a>
<a id='n230' href='#n230'>230</a>
<a id='n231' href='#n231'>231</a>
<a id='n232' href='#n232'>232</a>
<a id='n233' href='#n233'>233</a>
<a id='n234' href='#n234'>234</a>
<a id='n235' href='#n235'>235</a>
<a id='n236' href='#n236'>236</a>
<a id='n237' href='#n237'>237</a>
<a id='n238' href='#n238'>238</a>
<a id='n239' href='#n239'>239</a>
<a id='n240' href='#n240'>240</a>
<a id='n241' href='#n241'>241</a>
<a id='n242' href='#n242'>242</a>
<a id='n243' href='#n243'>243</a>
<a id='n244' href='#n244'>244</a>
<a id='n245' href='#n245'>245</a>
<a id='n246' href='#n246'>246</a>
<a id='n247' href='#n247'>247</a>
<a id='n248' href='#n248'>248</a>
<a id='n249' href='#n249'>249</a>
<a id='n250' href='#n250'>250</a>
<a id='n251' href='#n251'>251</a>
<a id='n252' href='#n252'>252</a>
<a id='n253' href='#n253'>253</a>
<a id='n254' href='#n254'>254</a>
<a id='n255' href='#n255'>255</a>
<a id='n256' href='#n256'>256</a>
<a id='n257' href='#n257'>257</a>
<a id='n258' href='#n258'>258</a>
<a id='n259' href='#n259'>259</a>
<a id='n260' href='#n260'>260</a>
<a id='n261' href='#n261'>261</a>
<a id='n262' href='#n262'>262</a>
<a id='n263' href='#n263'>263</a>
<a id='n264' href='#n264'>264</a>
<a id='n265' href='#n265'>265</a>
<a id='n266' href='#n266'>266</a>
<a id='n267' href='#n267'>267</a>
<a id='n268' href='#n268'>268</a>
<a id='n269' href='#n269'>269</a>
<a id='n270' href='#n270'>270</a>
<a id='n271' href='#n271'>271</a>
<a id='n272' href='#n272'>272</a>
<a id='n273' href='#n273'>273</a>
<a id='n274' href='#n274'>274</a>
<a id='n275' href='#n275'>275</a>
<a id='n276' href='#n276'>276</a>
<a id='n277' href='#n277'>277</a>
<a id='n278' href='#n278'>278</a>
<a id='n279' href='#n279'>279</a>
<a id='n280' href='#n280'>280</a>
<a id='n281' href='#n281'>281</a>
<a id='n282' href='#n282'>282</a>
<a id='n283' href='#n283'>283</a>
<a id='n284' href='#n284'>284</a>
<a id='n285' href='#n285'>285</a>
<a id='n286' href='#n286'>286</a>
<a id='n287' href='#n287'>287</a>
<a id='n288' href='#n288'>288</a>
<a id='n289' href='#n289'>289</a>
<a id='n290' href='#n290'>290</a>
<a id='n291' href='#n291'>291</a>
<a id='n292' href='#n292'>292</a>
<a id='n293' href='#n293'>293</a>
<a id='n294' href='#n294'>294</a>
<a id='n295' href='#n295'>295</a>
<a id='n296' href='#n296'>296</a>
<a id='n297' href='#n297'>297</a>
<a id='n298' href='#n298'>298</a>
<a id='n299' href='#n299'>299</a>
<a id='n300' href='#n300'>300</a>
<a id='n301' href='#n301'>301</a>
<a id='n302' href='#n302'>302</a>
<a id='n303' href='#n303'>303</a>
<a id='n304' href='#n304'>304</a>
<a id='n305' href='#n305'>305</a>
<a id='n306' href='#n306'>306</a>
<a id='n307' href='#n307'>307</a>
<a id='n308' href='#n308'>308</a>
<a id='n309' href='#n309'>309</a>
<a id='n310' href='#n310'>310</a>
<a id='n311' href='#n311'>311</a>
<a id='n312' href='#n312'>312</a>
<a id='n313' href='#n313'>313</a>
<a id='n314' href='#n314'>314</a>
<a id='n315' href='#n315'>315</a>
<a id='n316' href='#n316'>316</a>
<a id='n317' href='#n317'>317</a>
<a id='n318' href='#n318'>318</a>
<a id='n319' href='#n319'>319</a>
<a id='n320' href='#n320'>320</a>
<a id='n321' href='#n321'>321</a>
<a id='n322' href='#n322'>322</a>
<a id='n323' href='#n323'>323</a>
<a id='n324' href='#n324'>324</a>
<a id='n325' href='#n325'>325</a>
<a id='n326' href='#n326'>326</a>
<a id='n327' href='#n327'>327</a>
<a id='n328' href='#n328'>328</a>
<a id='n329' href='#n329'>329</a>
<a id='n330' href='#n330'>330</a>
<a id='n331' href='#n331'>331</a>
<a id='n332' href='#n332'>332</a>
<a id='n333' href='#n333'>333</a>
<a id='n334' href='#n334'>334</a>
<a id='n335' href='#n335'>335</a>
<a id='n336' href='#n336'>336</a>
<a id='n337' href='#n337'>337</a>
<a id='n338' href='#n338'>338</a>
</pre></td>
<td class='lines'><pre><code>This patch combines https://code.launchpad.net/~jelmer/brz/enable-gio/+merge/419150
and https://bazaar.launchpad.net/~jelmer/brz/fix-gio/revision/7570.

=== modified file 'breezy/transport/gio_transport.py'
--- a/breezy/transport/gio_transport.py	2022-04-09 12:17:41 +0000
+++ b/breezy/transport/gio_transport.py	2022-04-09 12:33:51 +0000
@@ -52,11 +52,7 @@
 from ..tests.test_server import TestServer
 
 try:
-    import glib
-except ImportError as e:
-    raise errors.DependencyNotPresent('glib', e)
-try:
-    import gio
+    from gi.repository import Gio as gio
 except ImportError as e:
     raise errors.DependencyNotPresent('gio', e)
 

@@ -57,6 +57,9 @@
     raise errors.DependencyNotPresent('gio', e)
 
 
+from gi.repository.GLib import GError
+
+
 class GioLocalURLServer(TestServer):
     """A pretend server for local transports, using file:// urls.
 
@@ -81,7 +84,7 @@
     def __init__(self, transport, relpath):
         FileStream.__init__(self, transport, relpath)
         self.gio_file = transport._get_GIO(relpath)
-        self.stream = self.gio_file.create()
+        self.stream = self.gio_file.create(0, None)
 
     def _close(self):
         self.stream.close()
@@ -90,7 +93,7 @@
         try:
             # Using pump_string_file seems to make things crash
             osutils.pumpfile(BytesIO(bytes), self.stream)
-        except gio.Error as e:
+        except GError as e:
             # self.transport._translate_gio_error(e,self.relpath)
             raise errors.BzrError(str(e))
 
@@ -98,12 +101,12 @@
 class GioStatResult(object):
 
     def __init__(self, f):
-        info = f.query_info('standard::size,standard::type')
+        info = f.query_info('standard::size,standard::type', 0, None)
         self.st_size = info.get_size()
         type = info.get_file_type()
-        if (type == gio.FILE_TYPE_REGULAR):
+        if type == gio.FileType.REGULAR:
             self.st_mode = stat.S_IFREG
-        elif type == gio.FILE_TYPE_DIRECTORY:
+        elif type == gio.FileType.DIRECTORY:
             self.st_mode = stat.S_IFDIR
 
 
@@ -122,7 +125,7 @@
             user, netloc = netloc.rsplit('@', 1)
         # Seems it is not possible to list supported backends for GIO
         # so a hardcoded list it is then.
-        gio_backends = ['dav', 'file', 'ftp', 'obex', 'sftp', 'ssh', 'smb']
+        gio_backends = ['dav', 'file', 'ftp', 'obex', 'sftp', 'ssh', 'smb', 'http']
         if scheme not in gio_backends:
             raise urlutils.InvalidURL(base,
                                       extra="GIO support is only available for " +
@@ -138,13 +141,10 @@
                                            _from_transport=_from_transport)
 
     def _relpath_to_url(self, relpath):
-        full_url = urlutils.join(self.url, relpath)
-        if isinstance(full_url, str):
-            raise urlutils.InvalidURL(full_url)
-        return full_url
+        return urlutils.join(self.url, relpath)
 
     def _get_GIO(self, relpath):
-        """Return the ftplib.GIO instance for this object."""
+        """Return the GIO instance for this object."""
         # Ensures that a connection is established
         connection = self._get_connection()
         if connection is None:
@@ -152,7 +152,7 @@
             connection, credentials = self._create_connection()
             self._set_connection(connection, credentials)
         fileurl = self._relpath_to_url(relpath)
-        file = gio.File(fileurl)
+        file = gio.File.new_for_uri(fileurl)
         return file
 
     def _auth_cb(self, op, message, default_user, default_domain, flags):
@@ -197,7 +197,7 @@
         try:
             obj.mount_enclosing_volume_finish(res)
             self.loop.quit()
-        except gio.Error as e:
+        except GError as e:
             self.loop.quit()
             raise errors.BzrError(
                 "Failed to mount the given location: " + str(e))
@@ -209,12 +209,12 @@
             user, password = credentials
 
         try:
-            connection = gio.File(self.url)
+            connection = gio.File.new_for_uri(self.url)
             mount = None
             try:
                 mount = connection.find_enclosing_mount()
-            except gio.Error as e:
-                if (e.code == gio.ERROR_NOT_MOUNTED):
+            except GError as e:
+                if e.code == gio.IOErrorEnum.NOT_MOUNTED:
                     self.loop = glib.MainLoop()
                     ui.ui_factory.show_message('Mounting %s using GIO' %
                                                self.url)
@@ -227,7 +227,7 @@
                     m = connection.mount_enclosing_volume(op,
                                                           self._mount_done_cb)
                     self.loop.run()
-        except gio.Error as e:
+        except GError as e:
             raise errors.TransportError(msg="Error setting up connection:"
                                         " %s" % str(e), orig_error=e)
         return connection, (user, password)
@@ -257,8 +257,8 @@
             if stat.S_ISREG(st.st_mode) or stat.S_ISDIR(st.st_mode):
                 return True
             return False
-        except gio.Error as e:
-            if e.code == gio.ERROR_NOT_FOUND:
+        except GError as e:
+            if e.code == gio.IOErrorEnum.NOT_FOUND:
                 return False
             else:
                 self._translate_gio_error(e, relpath)
@@ -281,10 +281,10 @@
             buf = fin.read()
             fin.close()
             return BytesIO(buf)
-        except gio.Error as e:
+        except GError as e:
             # If we get a not mounted here it might mean
             # that a bad path has been entered (or that mount failed)
-            if (e.code == gio.ERROR_NOT_MOUNTED):
+            if e.code == gio.IOErrorEnum.NOT_MOUNTED:
                 raise errors.PathError(relpath,
                                        extra='Failed to get file, make sure the path is correct. '
                                        + str(e))
@@ -307,19 +307,19 @@
             closed = True
             try:
                 f = self._get_GIO(tmppath)
-                fout = f.create()
+                fout = f.create(0, None)
                 closed = False
                 length = self._pump(fp, fout)
                 fout.close()
                 closed = True
                 self.stat(tmppath)
                 dest = self._get_GIO(relpath)
-                f.move(dest, flags=gio.FILE_COPY_OVERWRITE)
+                f.move(dest, flags=gio.FileCopyFlags.OVERWRITE)
                 f = None
                 if mode is not None:
                     self._setmode(relpath, mode)
                 return length
-            except gio.Error as e:
+            except GError as e:
                 self._translate_gio_error(e, relpath)
         finally:
             if not closed and fout is not None:
@@ -335,7 +335,7 @@
             f = self._get_GIO(relpath)
             f.make_directory()
             self._setmode(relpath, mode)
-        except gio.Error as e:
+        except GError as e:
             self._translate_gio_error(e, relpath)
 
     def open_write_stream(self, relpath, mode=None):
@@ -369,14 +369,11 @@
                 f.delete()
             else:
                 raise errors.NotADirectory(relpath)
-        except gio.Error as e:
+        except GError as e:
             self._translate_gio_error(e, relpath)
         except errors.NotADirectory as e:
             # just pass it forward
             raise e
-        except Exception as e:
-            mutter('failed to rmdir %s: %s' % (relpath, e))
-            raise errors.PathError(relpath)
 
     def append_file(self, relpath, file, mode=None):
         """Append the text in the file-like object into the final
@@ -392,7 +389,7 @@
             result = 0
             fo = self._get_GIO(tmppath)
             fi = self._get_GIO(relpath)
-            fout = fo.create()
+            fout = fo.create(0, None)
             try:
                 info = GioStatResult(fi)
                 result = info.st_size
@@ -400,11 +397,11 @@
                 self._pump(fin, fout)
                 fin.close()
             # This separate except is to catch and ignore the
-            # gio.ERROR_NOT_FOUND for the already existing file.
+            # gio.IOErrorEnum.NOT_FOUND for the already existing file.
             # It is valid to open a non-existing file for append.
             # This is caused by the broken gio append_to...
-            except gio.Error as e:
-                if e.code != gio.ERROR_NOT_FOUND:
+            except GError as e:
+                if e.code != gio.IOErrorEnum.NOT_FOUND:
                     self._translate_gio_error(e, relpath)
             length = self._pump(file, fout)
             fout.close()
@@ -413,9 +410,11 @@
                 raise errors.BzrError("Failed to append size after "
                                       "(%d) is not original (%d) + written (%d) total (%d)" %
                                       (info.st_size, result, length, result + length))
-            fo.move(fi, flags=gio.FILE_COPY_OVERWRITE)
+            fo.move(
+                fi, flags=gio.FileCopyFlags.OVERWRITE, cancellable=None,
+                progress_callback=None)
             return result
-        except gio.Error as e:
+        except GError as e:
             self._translate_gio_error(e, relpath)
 
     def _setmode(self, relpath, mode):
@@ -429,8 +428,8 @@
             try:
                 f = self._get_GIO(relpath)
                 f.set_attribute_uint32(gio.FILE_ATTRIBUTE_UNIX_MODE, mode)
-            except gio.Error as e:
-                if e.code == gio.ERROR_NOT_SUPPORTED:
+            except GError as e:
+                if e.code == gio.IOErrorEnum.NOT_SUPPORTED:
                     # Command probably not available on this server
                     mutter("GIO Could not set permissions to %s on %s. %s",
                            oct(mode), self._remote_path(relpath), str(e))
@@ -444,8 +443,8 @@
                 mutter("GIO move (rename): %s =&gt; %s", rel_from, rel_to)
             f = self._get_GIO(rel_from)
             t = self._get_GIO(rel_to)
-            f.move(t)
-        except gio.Error as e:
+            f.move(t, flags=0, cancellable=None, progress_callback=None)
+        except GError as e:
             self._translate_gio_error(e, rel_from)
 
     def move(self, rel_from, rel_to):
@@ -455,8 +454,8 @@
                 mutter("GIO move: %s =&gt; %s", rel_from, rel_to)
             f = self._get_GIO(rel_from)
             t = self._get_GIO(rel_to)
-            f.move(t, flags=gio.FILE_COPY_OVERWRITE)
-        except gio.Error as e:
+            f.move(t, flags=gio.FileCopyFlags.OVERWRITE)
+        except GError as e:
             self._translate_gio_error(e, relfrom)
 
     def delete(self, relpath):
@@ -466,7 +465,7 @@
                 mutter("GIO delete: %s", relpath)
             f = self._get_GIO(relpath)
             f.delete()
-        except gio.Error as e:
+        except GError as e:
             self._translate_gio_error(e, relpath)
 
     def external_url(self):
@@ -489,11 +488,11 @@
         try:
             entries = []
             f = self._get_GIO(relpath)
-            children = f.enumerate_children(gio.FILE_ATTRIBUTE_STANDARD_NAME)
+            children = f.enumerate_children(gio.FILE_ATTRIBUTE_STANDARD_NAME, 0, None)
             for child in children:
                 entries.append(urlutils.escape(child.get_name()))
             return entries
-        except gio.Error as e:
+        except GError as e:
             self._translate_gio_error(e, relpath)
 
     def iter_files_recursive(self):
@@ -519,7 +518,7 @@
                 mutter("GIO stat: %s", relpath)
             f = self._get_GIO(relpath)
             return GioStatResult(f)
-        except gio.Error as e:
+        except GError as e:
             self._translate_gio_error(e, relpath, extra='error w/ stat')
 
     def lock_read(self, relpath):
@@ -556,21 +555,21 @@
             mutter("GIO Error: %s %s" % (str(err), path))
         if extra is None:
             extra = str(err)
-        if err.code == gio.ERROR_NOT_FOUND:
+        if err.code == gio.IOErrorEnum.NOT_FOUND:
             raise errors.NoSuchFile(path, extra=extra)
-        elif err.code == gio.ERROR_EXISTS:
+        elif err.code == gio.IOErrorEnum.EXISTS:
             raise errors.FileExists(path, extra=extra)
-        elif err.code == gio.ERROR_NOT_DIRECTORY:
+        elif err.code == gio.IOErrorEnum.NOT_DIRECTORY:
             raise errors.NotADirectory(path, extra=extra)
-        elif err.code == gio.ERROR_NOT_EMPTY:
+        elif err.code == gio.IOErrorEnum.NOT_EMPTY:
             raise errors.DirectoryNotEmpty(path, extra=extra)
-        elif err.code == gio.ERROR_BUSY:
+        elif err.code == gio.IOErrorEnum.BUSY:
             raise errors.ResourceBusy(path, extra=extra)
-        elif err.code == gio.ERROR_PERMISSION_DENIED:
+        elif err.code == gio.IOErrorEnum.PERMISSION_DENIED:
             raise errors.PermissionDenied(path, extra=extra)
-        elif err.code == gio.ERROR_HOST_NOT_FOUND:
+        elif err.code == gio.IOErrorEnum.HOST_NOT_FOUND:
             raise errors.PathError(path, extra=extra)
-        elif err.code == gio.ERROR_IS_DIRECTORY:
+        elif err.code == gio.IOErrorEnum.IS_DIRECTORY:
             raise errors.PathError(path, extra=extra)
         else:
             mutter('unable to understand error for path: %s: %s', path, err)

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
